## org.codehaus.groovy.grails.web.taglib
Class GroovyPageTagBody

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Closure
              org.codehaus.groovy.grails.web.taglib.GroovyPageTagBody

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable, Cloneable, Runnable

    public class GroovyPageTagBody

extends groovy.lang.Closure

A closure that represents the body of a tag and captures its output returning the result when invoked

Since:
  0.5

  Created: Apr 19, 2007 Time: 2:21:38 PM
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.lang.Closure
`DELEGATE_FIRST, DELEGATE_ONLY, DONE, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

Constructor Summary
`GroovyPageTagBody(Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure)`
`GroovyPageTagBody(Object owner, GrailsWebRequest webRequest, groovy.lang.Closure bodyClosure, boolean preferSubChunkWhenWritingToOtherBuffer)`

Method Summary
`Object` `call()`
`Object` `call(Object arguments)`
`Object` `call(Object[] args)`
`Object` `doCall()`
`Object` `doCall(Object arguments)`
`boolean` `isPreferSubChunkWhenWritingToOtherBuffer()`
`void` `setPreferSubChunkWhenWritingToOtherBuffer(boolean preferSubChunkWhenWritingToOtherBuffer)`

Methods inherited from class groovy.lang.Closure
`asWritable, clone, curry, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageTagBody

    public GroovyPageTagBody(Object owner,
                             GrailsWebRequest webRequest,
                             groovy.lang.Closure bodyClosure)

### GroovyPageTagBody

    public GroovyPageTagBody(Object owner,
                             GrailsWebRequest webRequest,
                             groovy.lang.Closure bodyClosure,
                             boolean preferSubChunkWhenWritingToOtherBuffer)

Method Detail

### isPreferSubChunkWhenWritingToOtherBuffer

    public boolean isPreferSubChunkWhenWritingToOtherBuffer()

### setPreferSubChunkWhenWritingToOtherBuffer

    public void setPreferSubChunkWhenWritingToOtherBuffer(boolean preferSubChunkWhenWritingToOtherBuffer)

### doCall

    public Object doCall()

### doCall

    public Object doCall(Object arguments)

### call

    public Object call()

  Overrides:
    `call` in class `groovy.lang.Closure`

### call

    public Object call(Object[] args)

  Overrides:
    `call` in class `groovy.lang.Closure`

### call

    public Object call(Object arguments)

  Overrides:
    `call` in class `groovy.lang.Closure`

Copyright (c) 2005-2009 The Grails project